Workspaces
Export a workspace
GET
/
workspaces
/
{id}
/
export
Export a workspace
curl --request GET \
--url https://slog.ai/workspaces/{id}/export \
--header 'slog-api-key: <api-key>'import requests
url = "https://slog.ai/workspaces/{id}/export"
headers = {"slog-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'slog-api-key': '<api-key>'}};
fetch('https://slog.ai/workspaces/{id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "task",
"data": {
"id": "task_01jqabcd1111",
"title": "Implement OAuth login",
"status": "TODO"
},
"exportedAt": "2026-05-18T12:00:00.000Z"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Task not found"
}
}Authorizations
ApiKeyBearerToken
API key obtained from the Slog dashboard or returned by the signup/invite-redeem
flows. Pass as the slog-api-key header.
Path Parameters
Resource ID (UPID) or, for tasks and projects, the human-readable reference such
as ENG-42.
Response
Export payload including all teams, projects, tasks, and milestones.
⌘I
Export a workspace
